import { type Parser as CSSParser } from "@siteimprove/alfa-css";
import type { Device } from "@siteimprove/alfa-device";
import type * as json from "@siteimprove/alfa-json";
import type { Feature } from "../feature.js";
import type { Condition } from "./condition.js";
export declare class And<F extends Feature<F>> implements Feature<F, And.JSON<F>> {
    static of<F extends Feature<F>>(left: Condition<F>, right: Condition<F>): And<F>;
    private readonly _left;
    private readonly _right;
    private constructor();
    get left(): Condition<F>;
    get right(): Condition<F>;
    matches(device: Device): boolean;
    equals(value: unknown): value is this;
    private iterator;
    [Symbol.iterator](): Iterator<F>;
    toJSON(): And.JSON<F>;
    toString(): string;
}
export declare namespace And {
    interface JSON<F extends Feature<F>> {
        [key: string]: json.JSON;
        type: "and";
        left: Condition.JSON<F>;
        right: Condition.JSON<F>;
    }
    function isAnd<T extends Feature<T>>(value: unknown): value is And<T>;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-media-and}
     *
     * @internal
     */
    function parse<F extends Feature<F>>(parseInParens: (featureParser: CSSParser<F>) => CSSParser<Condition<F>>, featureParser: CSSParser<F>): CSSParser<Condition<F>>;
}
//# sourceMappingURL=and.d.ts.map