import * as condition from "./condition/index.js";
import * as media from "./media/index.js";
import * as supports from "./supports/index.js";
/**
 * @public
 */
export declare namespace Feature {
    export import Condition = condition.Condition;
    export import And = condition.And;
    export import Or = condition.Or;
    export import Not = condition.Not;
    export import Media = media.Media;
    export import Supports = supports.Supports;
    const isMedia: typeof import("./media/feature/media.js").Media.isMedia;
    const isProperty: typeof Supports.Property.isProperty;
    const and: typeof And.of, isAnd: typeof And.isAnd;
    const or: typeof Or.of, isOr: typeof Or.isOr;
    const not: typeof Not.of, isNot: typeof Not.isNot;
    const isCondition: typeof Condition.isCondition;
    const parseMediaQuery: import("@siteimprove/alfa-parser").Parser<import("@siteimprove/alfa-slice").Slice<import("@siteimprove/alfa-css").Token>, Media.List, string, []>;
    const parseSupportsQuery: import("@siteimprove/alfa-parser").Parser<import("@siteimprove/alfa-slice").Slice<import("@siteimprove/alfa-css").Token>, Supports.Query, string, []>;
}
//# sourceMappingURL=index.d.ts.map