import { Keyword, type Parser as CSSParser } from "@siteimprove/alfa-css";
import { Media } from "./media.js";
import type { Value } from "./value/index.js";
export declare namespace Discrete {
    interface Discrete<N extends string, K extends string> {
        of(value: Value<Keyword<K>>): Media<N, Keyword<K>>;
        boolean(): Media<N, Keyword<K>>;
        parse: CSSParser<Media<N, Keyword<K>>>;
    }
    export const Orientation: Discrete<"orientation", "portrait" | "landscape">;
    export const ForcedColors: Discrete<"forced-colors", "none" | "active">;
    export const Inverted: Discrete<"inverted", "none" | "inverted">;
    export const PrefersColorScheme: Discrete<"prefers-color-scheme", "no-preference" | "light" | "dark">;
    export const PrefersContrast: Discrete<"prefers-contrast", "no-preference" | "less" | "more" | "custom">;
    export const PrefersReducedData: Discrete<"prefers-reduced-data", "reduce" | "no-preference">;
    export const PrefersReducedMotion: Discrete<"prefers-reduced-motion", "reduce" | "no-preference">;
    export const PrefersReducedTransparency: Discrete<"prefers-reduced-transparency", "reduce" | "no-preference">;
    export {};
}
//# sourceMappingURL=discrete.d.ts.map