import { Length } from "@siteimprove/alfa-css";
import type { Device } from "@siteimprove/alfa-device";
/**
 * Resolvers are functions that resolve values to their canonical, computed
 * representation.
 *
 * @internal
 */
export declare namespace Resolver {
    /**
     * Resolve a length in an arbitrary unit to a length in pixels.
     *
     * {@link https://drafts.csswg.org/css-values/#lengths}
     *
     * @remarks
     * Relative lengths in media queries are based on initial values of the
     * associated properties. They are hard-coded here to avoid circular dependency
     * to @siteimprove/alfa-style.
     */
    function length(device: Device): Length.Resolver;
}
//# sourceMappingURL=resolver.d.ts.map