import type * as json from "@siteimprove/alfa-json";
import { Serializable } from "@siteimprove/alfa-json";
import type { Mapper } from "@siteimprove/alfa-mapper";
import type { Refinement } from "@siteimprove/alfa-refinement";
import type { Value } from "./value.js";
/**
 * A non-numerical value, e.g., orientation.
 *
 * @public
 */
export declare class Discrete<T = unknown> implements Value<T>, Serializable<Discrete.JSON<T>> {
    static of<T>(value: T): Discrete<T>;
    private readonly _value;
    private constructor();
    get value(): T;
    map<U>(mapper: Mapper<T, U>): Discrete<U>;
    matches(value: T): boolean;
    hasValue<U extends T>(refinement: Refinement<T, U>): this is Discrete<U>;
    toJSON(): Discrete.JSON<T>;
}
/**
 * @public
 */
export declare namespace Discrete {
    interface JSON<T> {
        [key: string]: json.JSON;
        type: "discrete";
        value: Serializable.ToJSON<T>;
    }
    function isDiscrete<T>(value: unknown): value is Discrete<T>;
}
//# sourceMappingURL=discrete.d.ts.map