import { Token } from "@siteimprove/alfa-css";
import { Parser } from "@siteimprove/alfa-parser";
import type * as json from "@siteimprove/alfa-json";
import type { Slice } from "@siteimprove/alfa-slice";
import type { Feature } from "../../feature.js";
/**
 * @public
 */
export declare class Property<N extends string = string> implements Feature<Property<N>> {
    static of<N extends string>(name: N, value: string): Property<N>;
    private readonly _name;
    private readonly _value;
    private constructor();
    get name(): N;
    get value(): string;
    matches(): boolean;
    iterator(): Iterator<Property<N>>;
    [Symbol.iterator](): Iterator<Property<N>>;
    equals(value: unknown): value is this;
    toJSON(): Property.JSON<N>;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Property {
    interface JSON<N extends string = string> {
        [key: string]: json.JSON;
        type: "property";
        name: N;
        value: string;
    }
    function isProperty<N extends string>(value: unknown): value is Property<N>;
    const parse: Parser<Slice<Token>, Property<string>, string, []>;
}
//# sourceMappingURL=property.d.ts.map