import type { Device } from "@siteimprove/alfa-device";
import { Parser } from "@siteimprove/alfa-parser";
import type * as json from "@siteimprove/alfa-json";
import { Condition } from "../condition/index.js";
import type { Feature } from "../feature.js";
import { Property } from "./feature/index.js";
/**
 * {@link https://drafts.csswg.org/css-conditional-3/#at-supports}
 *
 * @remarks
 * Supports query are just a wrapper for a condition.
 *
 * @public
 */
export declare class Query implements Feature<Condition<Property>, Query.JSON> {
    static of(condition: Condition<Property>): Query;
    private readonly _condition;
    private constructor();
    get condition(): Condition<Property>;
    matches(device: Device): boolean;
    private iterator;
    [Symbol.iterator](): Iterator<Condition<Property>>;
    equals(value: unknown): value is this;
    toJSON(): Query.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Query {
    interface JSON {
        [key: string]: json.JSON;
        condition: Condition.JSON<Property>;
    }
    function isQuery(value: unknown): value is Query;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-media-query}
     */
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<import("@siteimprove/alfa-css").Token>, Query, string, []>;
}
//# sourceMappingURL=query.d.ts.map